[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPHashObjectList.FindInstanceOf

Search an instance of a certain class

## Declaration

Source position: contnrs.pp line 323

`public function TFPHashObjectList.FindInstanceOf(`
`AClass: TClass;`
`AExact: Boolean;`
`AStartAt: Integer`
`):Integer;`

## Arguments

`AClass` |  | Class to search for.
`AExact` |  | Should the class match exactly, or also consider descendents
`AStartAt` |  | Position in list to start search.

## Function result

First instance of AClass after position AStartAt

## Description

FindInstanceOf searches the list for an instance of class AClass. It starts searching at position AStartAt. If AExact is True, only instances of class AClass are considered. If AExact is False, then descendent classes of AClass are also taken into account when searching. If no instance is found, Nil is returned.